summaryrefslogtreecommitdiffstats
path: root/lib/cmd
diff options
context:
space:
mode:
Diffstat (limited to 'lib/cmd')
-rw-r--r--lib/cmd/install.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
index 456a0b3..20bc32a 100644
--- a/lib/cmd/install.sh
+++ b/lib/cmd/install.sh
@@ -110,7 +110,10 @@ cmd_install_main()
profile_configure_system_foreign "${chroot}"
fi
- profile_get_os_release "${arch}" "${plat}" >"${chroot}/etc/os-release"
+ if ! [ -e "${chroot}/etc/os-release" ]; then
+ profile_get_os_release "${arch}" "${plat}" \
+ >"${chroot}/etc/os-release"
+ fi
}
cmd_install_find_pkgs()